## org.eclipse.datatools.sqltools.core.services
Class SQLEditorService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.SQLEditorService

public class SQLEditorService
extends java.lang.Object

A SQL Editor related service specific to a database definition. This interface allows clients to customize the default behavior of the SQL Editor.

Author:
  Hui Cao

Constructor Summary
`SQLEditorService()`

Method Summary
`java.util.HashMap` `getAdditionalActions()` Returns data server specific actions, which will be added to menu/context menu and tool bar.
`IExtendedLaunchSupport` `getExtendedLaunchSupport()` Returns a `IExtendedLaunchSupport` object which is used to execute additional operations before/after launching
`IExtendedSaveSupport` `getExtendedSaveSupport()` Returns a `IExtendedSaveSupport` object which is used to perform additional operations before/after saving a procedural object
`ISQLDBProposalsService` `getSQLDBProposalsService(ISQLEditorConnectionInfo connInfo)` Returns a `ISQLDBProposalsService` object which is used to execute operations to load db proposals

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditorService

    public SQLEditorService()

Method Detail

### getExtendedLaunchSupport

    public IExtendedLaunchSupport getExtendedLaunchSupport()

  Returns a `IExtendedLaunchSupport` object which is used to execute additional operations before/after launching

  Returns:
    a `IExtendedLaunchSupport` object to customize the launching behavior.

### getExtendedSaveSupport

    public IExtendedSaveSupport getExtendedSaveSupport()

  Returns a `IExtendedSaveSupport` object which is used to perform additional operations before/after saving a procedural object

  Returns:
    a `IExtendedSaveSupport` object to customize the saving behavior

### getAdditionalActions

    public java.util.HashMap getAdditionalActions()

  Returns data server specific actions, which will be added to menu/context menu and tool bar. To appear in the toolbar, the action must define action id. Note: because more than one action may use the same action path, the value might be collection of `org.eclipse.jface.action.IContributionItem` objects.

  Returns:
    key: action path, if it's empty string "" or null, the action will be added to vendor actions sub menu; value: `org.eclipse.jface.action.IContributionItem` objects or Collection of `org.eclipse.jface.action.IContributionItem` objects.

### getSQLDBProposalsService

    public ISQLDBProposalsService getSQLDBProposalsService(ISQLEditorConnectionInfo connInfo)

  Returns a `ISQLDBProposalsService` object which is used to execute operations to load db proposals

  Parameters:
    `connInfo` -
  Returns:
    a `ISQLDBProposalsService` object to perform the DB proposals loading behavior.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.